Carte APIs Jobs

Provides information on web service calls to create, run, and delete jobs. Calls for getting images, statuses and for starting and stopping jobs are also included.

Deprecated

Upload and execute job

post

DEPRECATED: This endpoint is deprecated and may be removed in future versions.

Uploads and executes job configuration XML file. Uploads xml file containing job and job_execution_configuration (wrapped in job_configuration tag) to be executed and executes it. Method relies on the input parameter to determine if xml or html reply should be produced. The job_configuration xml is transferred within request body. Job name of the executed job will be returned in the Response object or message describing error occurred. To determine if the call successful or not you should rely on result parameter in response.

Example Request:

POST /kettle/addJob/?xml=Y

Request body should contain xml containing job_configuration (job and job_execution_configuration wrapped in job_configuration tag).

Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
xmlstring · enumOptional

Boolean flag set to either Y or N describing if xml or html reply should be produced.

Default: NPossible values:
Body
stringOptional

Job configuration XML

Responses
chevron-right
200

Request was processed and XML response is returned

text/xml

Standard response format for most Carte operations

resultstring · enumOptional

Result status of the operation

Possible values:
messagestringOptional

Human readable message describing the result

idstringOptional

Unique identifier for the created/modified resource

post
/kettle/addJob

Generate job image

get

Generates PNG image of the specified job currently present on Carte server. Job name and Carte job ID (optional) are used for specifying which job to get information for. Response is a binary of the PNG image.

Example Request:

GET /kettle/jobImage?name=dummy-job
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
namestringRequired

Name of the job to be used for image generation.

idstringOptional

Carte id of the job to be used for image generation.

Responses
chevron-right
200

Request was processed

image/png
string · binaryOptional

Binary PNG image

get
/kettle/jobImage

Get job status

get

Retrieves status of the specified job. Status is returned as HTML or XML output depending on the input parameters. Status contains information about last execution of the job.

Example Request:

GET /kettle/jobStatus/?name=dummy-job&xml=Y
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
namestringRequired

Name of the job to be used for status generation.

xmlstring · enumOptional

Boolean flag which defines output format Y forces XML output to be generated. HTML is returned otherwise.

Default: NPossible values:
idstringOptional

Carte id of the job to be used for status generation.

fromintegerOptional

Start line number of the execution log to be included into response.

Responses
chevron-right
200

Request was processed

stringOptional

XML response containing job status details

get
/kettle/jobStatus

Execute job from repository

get

Execute job from enterprise repository. Repository should be configured in Carte xml file. Response contains ERROR result if error happened during job execution.

Example Request:

GET /kettle/runJob?job=home%2Fadmin%2Fdummy-job&level=Debug
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
jobstringRequired

Full path to the job in repository.

levelstringRequired

Logging level to be used for job execution (i.e. Debug).

Responses
chevron-right
200

Request was processed

Standard response format for most Carte operations

resultstring · enumOptional

Result status of the operation

Possible values:
messagestringOptional

Human readable message describing the result

idstringOptional

Unique identifier for the created/modified resource

get
/kettle/runJob

Last updated

Was this helpful?